Index: /extensions/Autosize/autosize.inc.php
===================================================================
--- /extensions/Autosize/autosize.inc.php	(revision 7668)
+++ /extensions/Autosize/autosize.inc.php	(revision 7669)
@@ -46,5 +46,5 @@
 				$autosize_parametres = cl_autosize_Get_Options();
 				include (AUTOSIZE_PATH."include/affiche.php"); 	
-				$debug = isset($conf['debug']) ? $conf['debug'] : 'false' ; 
+				$debug = isset($conf['debug']) ? $conf['debug'] : false ; 
 				$cl_visible=isset($conf['cl_auto']) ? $conf['cl_auto'] : 'true' ; 
 				
@@ -99,5 +99,5 @@
 		 global $template,$infos_message,$erreur_message, $user ;
 		global  $conf,$lang ;
-
+	
 		 //==============================================================
 		  if (isset($erreur_message))
@@ -130,4 +130,21 @@
  * conflit =============================================
  */
+ static public function cl_autosize_script_2($pictures)
+ {
+ 	   global  $template,$user,$conf,$picture ;
+
+	   	$my_path =  basename(dirname(__FILE__)).'/' ;
+	    $my_path = dirname(__FILE__).'/';
+		$template->set_filenames(
+		     array('autosize_init'=>$my_path. "template/cl_conflit.tpl"  
+			 )
+		      );		 
+  		$template->assign(
+  						array('AUTOSIZE_ROOT' => AUTOSIZE_PATH)
+						 );
+
+		 
+		return $pictures;
+ }
 	static public function cl_autosize_script()
 	{
@@ -135,5 +152,5 @@
 
 	   	$my_path =  basename(dirname(__FILE__)).'/' ;
-	$my_path = dirname(__FILE__).'/';
+	    $my_path = dirname(__FILE__).'/';
 		$template->set_filenames(
 		     array('autosize_init'=>$my_path. "template/conflit.tpl"  
@@ -148,15 +165,4 @@
        
 	}// function cl_autosize_script
-	static public function cl_add_css(){
-	    global  $template,$user,$conf,$picture ;
-		$path = get_root_url().'plugins/'. basename(dirname(__FILE__)).'/';
-		$template->append('head_elements', '
-			<link rel="stylesheet" type="text/css" href="'.$path.'css/autosize.css">
-			<script type="text/javascript" src="'.$path.'js/css.js"></script>
-			<script type="text/javascript">
-				 
-			</script>'
-		);
-	}
 	/*
 	*
@@ -165,32 +171,38 @@
 	   global  $template,$user,$conf,$picture ;
 	   		$my_path = realpath(AUTOSIZE_PATH .'/');
-			$userdata=$user;
-			$fields = array( 'maxwidth', 'maxheight' );
+	 $userdata=$user;
+	 $fields = array( 'maxwidth', 'maxheight' );
 	 
-			$ThePicture = $template->get_template_vars('current'); 
+	 $ThePicture = $template->get_template_vars('current'); 
 			$data = array();
 			
 
-		return $content;
+ return $content;
 
 			$data['maxwidth'] = '1200';
-			$data['maxheight'] ='250';
+$data['maxheight'] ='250';
 			$data['user_id'] = $userdata['id'];
-			foreach ($fields as $field){
-				if (isset($_POST[$field])){
-						$data[$field] = $_POST[$field];
-						}
-				}
+	   foreach ($fields as $field)
+      {
+        if (isset($_POST[$field]))
+        {
+          $data[$field] = $_POST[$field];
+        }
+      }
 	
-	if($data['maxwidth'] != "" ){
+	if($data['maxwidth'] != "" )
+{
         $picture['current']['scaled_width']=$data['maxwidth'];
 		 $picture['current']['scaled_height']=$data['maxheight'];
-					mass_updates(USER_INFOS_TABLE,
-					array('primary' => array('user_id'), 'update' => $fields),
-					array($data));
-				}
+       mass_updates(USER_INFOS_TABLE,
+                   array('primary' => array('user_id'), 'update' => $fields),
+                   array($data));
+	
+}
+
+ 
    return $content;
    /*
-			$template->assign(
+ $template->assign(
   						array(
 						'AUTOSIZE_PATH' => $my_path,
@@ -199,6 +211,6 @@
 						 );
  
-				$template->parse( 'autosize_cl_init', false);
-				return $content;
+		$template->parse( 'autosize_cl_init', false);
+	return $content;
 	*/
 
Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 7668)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 7669)
@@ -1,3 +1,2 @@
-
 function Toggle_bp() {
     cl_visible = !cl_visible;
@@ -19,20 +18,8 @@
     jQuery(window).resize();
 }
-//=========================================================
-/*
-window.onresize = resize;
-window.onload = load;
-
-function resize() {
-    alert("resize event detected!");
-}
-function load() {
-    alert("load event detected!");
-}
-*/
+
 jQuery(document).ready(
+
       function (jQuery) {
-
-
 
 
@@ -55,9 +42,284 @@
               marges_llgbo = (ll1.width - ll2.width) + ll2.borderwidth.left + ll2.borderwidth.right;
           }
+
+
+          //=========================================================
+
+          function wait_Timer() {
+              old_w = 0
+              jQuery(window).resize();
+              info_pamoorama_outter = jQuery("#pamoorama_outter").info();
+              if (info_pamoorama_outter.width == 0)
+                  setTimeout("wait_Timer()", 100);
+
+          }
+
+
+          //=============================================================
+          function cl_Timer() {
+              //   if (!jQuery.browser.msie) { jQuery(function () { alert(jQuery.browser.version); }); }
+              if (jQuery.browser.msie && parseInt(jQuery.browser.version) < 8)
+                  alert(jQuery.browser.version);
+              panoramaContainer = jQuery(".panorama-container");
+              n = document.scripts[6]; //12--14affiche_script ;
+              t = n.src;
+
+              currentPosition = 0 - parseInt(jQuery(panoramaContainer).css('margin-left'));
+              if (currentPosition == NaN) return;
+
+
+              if (currentPosition > 1000)
+                  jQuery(panoramaContainer).css('margin-left', "0px")
+              setTimeout("cl_Timer()", 500);
+          }
+          //=============================================================
+          function onPropertyChange(e) {
+              var el = e.srcElement;
+              var new_class = el.className;
+              ID = el.id;
+              Prop = e.propertyName.split(".");
+              Property = Prop[1];
+              if (Property == "display") {
+                  Valeur = parseInt(el.currentStyle[Property]);
+                  if (Valeur == "block") {
+
+
+                  }
+              }
+              return;
+          }
+
+          /* ready
+          *
+          *
+          */
+          //============================================================
           /*
           *
           */
-
-
+          function Info_entete(Parent) {
+
+              var info_imageToolBar = jQuery("#imageToolBar").info();
+              if (info_imageToolBar.position == "absolute") {
+                  jQuery("#imageToolBar").css("position", "relative");
+                  jQuery("#imageToolBar").css("top", 0 + "px");
+              }
+
+              var info_theImage = jQuery("#theImage").info();
+
+              if (info_theImage.position == "relative") {
+                  //--- passage relative ==> static ===/
+                  jQuery("#theImage").css("position", "static");
+                  info_theImage = jQuery("#theImage").info();
+
+              }
+              if (info_theImage.position == "absolute") {
+                  //--- passage absolute ==> static ===/
+                  jQuery("#theImage").css("position", "static");
+                  info_theImage = jQuery("#theImage").info();
+
+              }
+
+              marge_top = Info_the_page.top +
+                                     Info_the_page.borderwidth.top +
+                                     info_theImage.borderwidth.top;
+
+              img_top = info_theImage.top + info_theImage.borderwidth.top;
+              return { marge_top: marge_top, img_top: img_top };
+
+          }
+
+          /* Récupère les informations sur la description.
+          *
+          */
+          function Info_description(Parent) {
+              //  jQuery("#" + Parent + " p:not(:contains(' ')) ").remove();
+              //=============================================================================
+              var info_description = { top: 0, bottom: 0, height: 0 };
+              if (theme.match(RegExp("simple", "gi"))) {
+                  jQuery("#" + Parent).css({ padding: "0px",
+                      marginLeft: "0px",
+                      marginRight: "auto",
+                      marginTop: "0px",
+                      marginBottom: "0px", position: "absolute", top: Bandeau + "px"
+                  });
+              } else {
+
+                  jQuery("#" + Parent).css({ padding: "0px",
+                      marginLeft: "auto",
+                      marginRight: "auto",
+                      marginTop: "0px",
+                      marginBottom: "0px"
+                  });
+
+
+              }
+
+
+              //   jQuery("#" + Parent + " p").css({ padding: "0px", margin: "0px "    });
+
+
+              if (theme.match(RegExp("luciano", "g"))) {
+                  info_img = jQuery("#" + Parent + " #theImg img").info();
+
+              } else {
+
+                  info_img = jQuery("#" + Parent + " img").info();
+              }
+
+              info_description.marge = { bottom: info_img.padding.bottom + info_img.margin.bottom + info_img.borderwidth.bottom,
+                  top: info_img.padding.top + info_img.borderwidth.top
+              }
+
+              info_description.top = info_img.bottom + info_img.margin.bottom + info_img.borderwidth.bottom;
+              //=============================================================================
+              info_gbo = jQuery("#gbo").info();
+              if (info_description.top < info_gbo.bottom)
+                  info_description.top = info_gbo.bottom;
+              //=============================================================================
+              info_desc = jQuery("#" + Parent + " p:first").info();
+              if (info_desc.bottom < info_img.bottom)
+                  info_desc.bottom = info_img.bottom;
+
+              //  if (info_desc.top > info_img.bottom)
+              //     info_description.top = info_desc.top;
+
+              if (jQuery("#Panorama").length) {
+                  Type_Img = "panorama";
+                  //  cl_visible = false;
+
+              }
+              info_table = jQuery(".infoTable").info();
+
+              if (info_table.top > info_description.bottom)
+                  info_description.bottom = info_table.top;
+              //===========================================================================
+
+              info_licencetag = jQuery(".licencetag").info();
+
+
+              if (info_licencetag.bottom > 0) {
+                  jQuery(".licencetag").css("border", "solid 5px transparent");
+                  if (info_licencetag.bottom > info_description.bottom) {
+                      info_description.bottom = info_licencetag.bottom;
+                  }
+                  else
+                      info_description.bottom += info_table.margin.top + info_table.padding.top;
+
+              }
+              //=============================================================================
+              if (theme.match(RegExp("gally", "gi"))) {
+                  if (!theme.match(RegExp("lapis", "gi"))) {
+                      info_description.bottom = info_description.bottom
+                  }
+              }
+
+
+
+
+
+              if (info_description.top < 1)
+                  info_description.top = info_description.bottom;
+
+
+              if (info_description.bottom < info_description.top) {
+                  info_description.bottom = info_description.top;
+
+                  info_desc = jQuery("#" + Parent + " p:last").info();
+
+                  if (info_desc.bottom > info_img.bottom)
+                      info_description.bottom = info_desc.bottom;
+              }
+
+
+              if (theme.match(RegExp("gally", "g"))) {
+                  if (!theme.match(RegExp("lapis", "gi"))) {
+                      info_copyright = jQuery("#copyright").info();
+                      info_description.bottom += info_copyright.height;
+                  }
+              }
+
+              if (theme.match(RegExp("luciano", "g"))) { info_description.bottom -= 30 }
+
+              info_description.height = info_description.bottom - info_description.top;
+
+
+              if (DEBUG == "true") {
+
+                  /*  jQuery("#Debug").text(jQuery("#Debug").text() + user_status);    
+        
+
+                  info_description.width = "800";
+                  */
+                  jQuery("#Debug").css('display', 'block');
+                  jQuery("#Debug1").show();
+                  jQuery("#Debug2").show();
+                  Bandeau_bas = info_description;
+
+                  jQuery("#Debug").css({
+                      filter: 'alpha(opacity:50)',
+                      position: "absolute",
+                      width: "800px",
+                      border: "solid 1px green",
+                      top: Bandeau + "px"
+                  });
+                  jQuery("#Debug").text("Debug:Bandeau : " + Bandeau);
+
+                  jQuery("#Debug1").css({
+                      filter: 'alpha(opacity:50)',
+                      position: "absolute",
+                      border: "solid 1px green",
+                      top: Bandeau_bas.top + "px",
+                      width: (200) + "px",
+                      height: Bandeau_bas.height + "px"
+                  });
+                  jQuery("#Debug1").text("Debug1:Bandeau_bas top : " + Bandeau_bas.top + " height:" + Bandeau_bas.height);
+
+                  jQuery("#Debug2").css({
+                      filter: 'alpha(opacity:50)',
+                      position: "absolute",
+                      left: '50px',
+                      width: (300) + "px",
+                      border: "solid 1px green", top: Bandeau_bas.bottom + "px"
+                  });
+                  jQuery("#Debug2").text("Debug2:Bandeau_bas bottom :" + Bandeau_bas.bottom);
+
+              }
+
+              if (check_desc_v != 'checked="checked"') {
+                  info_description.height = 0;
+              }
+
+              return info_description;
+
+          }
+
+          /*
+          *
+          */
+          jQuery("#pamoorama_iner").bind('resize', function () {
+              wait_Timer();
+          })
+          //============================================================//==
+          jQuery("#pamoorama_outter").bind('resize', function () {
+              wait_Timer();
+          })
+
+
+
+          //============================================================
+          jQuery("#iGMapsIcon").bind('resize', function () {
+              jQuery().recentrage_widget();
+          })
+          jQuery("#icon_gmaps").bind('click', function () {
+              jQuery().recentrage_widget();
+          })
+
+
+
+
+
+
+          /* jQuery */
           var img_init = { height: img_height, width: img_width };  // taille initiale
           var img_defaut = { height: scaled_height, width: scaled_width };
@@ -66,12 +328,19 @@
           var Zone_Affichage = { height: 0, width: 0 };
 
-
+          //============================================================
+
+          var Info_the_page = jQuery("#the_page").info();
+          var Zone_Affichage = jQuery("#theImage").info();
+
+          var Bandeau = 0;
+          var Bandeau_t = Info_entete("theImage")
+          Bandeau = Bandeau_t.img_top;
+          var Bandeau_bas = 0;
+          Bandeau_bas = Info_description("theImage");
           //===================================================================	
-
           /*
           * window .resize
           */
           jQuery(window).resize(function (event, ui) {
-
               if (typeof (event) == 'undefined') return;
               if (!cl_visible == true) return;
@@ -80,9 +349,8 @@
 
 
+
               //==========================================================================
-              var Window_width = jQuery(window).width();
-              var Window_height = jQuery(window).height();
-              var winwidth = Window_width;
-              var winheight = Window_height;
+              var winwidth = jQuery(window).width();
+              var winheight = jQuery(window).height();
               if (old_w == winwidth && old_h == winheight) return;
 
@@ -160,24 +428,22 @@
               winwidth -= (marge_right + marge_left);
 
+
+
+
               if (Type_Img == "pamoorama") {
-                  var myPamoorama = this.myPamoorama;
-                  //=====================================================
+                  var info_pamoorama = jQuery("#pamoorama").info();
+                  var info_pamoorama_outter = jQuery("#pamoorama_outter").info();
+                  var info_pamoorama_inner = jQuery("#pamoorama_inner").info();
+                  var info_pamoorama_footer = jQuery("#pamoorama_footer").info();
+                  TheImg = jQuery("#pamoorama");
                   if (typeof (myPamoorama) == "undefined") {
+
                       return
+
                   }
-
-                  var h01 = typeof (myPamoorama.imageHeight);
-
-                  if (h01 == "undefined") {
-                      old_w = 0;
-                      old_h = 0;
-                      return;
-                  }
-
-                  //=============================================
-                  if (myPamoorama.skipInit == false)
-                      return
-
-
+                  
+
+         
+                  po = myPamoorama;
 
                   /*
@@ -307,20 +573,9 @@
                       //=========================================================
 
-                      var info_pamoorama = jQuery("#pamoorama").info();
-                      var info_pamoorama_outter = jQuery("#pamoorama_outter").info();
-                      var info_pamoorama_inner = jQuery("#pamoorama_inner").info();
-                      var info_pamoorama_footer = jQuery("#pamoorama_footer").info();
-                      TheImg = jQuery("#pamoorama");
-
-                      if (info_pamoorama_outter.height == 0) {
-                          old_h = 0;
-                          jQuery(window).resize();
-                          return
-                      }
-                      //   event = window.event ? window.event : event;
-                      ;
-                      //  jQuery("#pamoorama_outter").trigger(jQuery.browser.msie ? "propertychange" : "change", [event]);
-                      //
-                      //   jQuery("#pamoorama_outter").trigger("onPropertychange", [event]);
+
+                      if (typeof (myPamoorama.imageHeight) == "undefined") {
+                           old_w = 0;
+                          return;
+                      }
 
                       img_reelle.height = myPamoorama.imageHeight;
@@ -449,5 +704,5 @@
               var widthmin = winwidth;
 
-              if (check_auto_w == 'checked="checked"' || Type_Img == "pamoorama") {
+              if (check_auto_w == 'checked="checked"') {
                   // if (Type_Img != "pamoorama" && Type_Img != "panorama" ) {
                   //==== largeur à atteindre ===
@@ -470,8 +725,6 @@
                       if (echelle_w > echelle_max) { echelle_w = echelle_max; }
                       Image_width = parseInt(img_reelle.width * echelle_w);
-                      if (Type_Img != "pamoorama") {
-                          if (rapport > 0)
-                              Image_height = parseInt(Image_width / rapport);
-                      }
+                      if (rapport > 0)
+                          Image_height = parseInt(Image_width / rapport);
                   }
 
@@ -617,5 +870,6 @@
                   Gmap_ = gmaps.maps[0];
                   if (Gmap_.sizeMode == 'A') {
-                      jQuery("#iGMapsIcon").css({ width: Window_width * gmaps.popupAutomaticSize + "px", height: Window_height * gmaps.popupAutomaticSize + "px" });
+                      jQuery("#iGMapsIcon").css({ width: old_w * 0.8 + "px", height: old_h * 0.8 + "px" });
+
                   }
               }
@@ -657,6 +911,6 @@
                   img_height = myPamoorama.imageHeight
 
-
-                  new_width = Zone_Affichage.width;
+                  marge_left += 0;
+                  new_width = Zone_Affichage.width - marge_right - marge_left;
                   new_width -= 4;
                   jQuery("#pamoorama").css({ marginLeft: "auto",
@@ -688,5 +942,5 @@
                   jQuery("#linkPrev").css({ width: "200px", overflow: "hidden" });
                   zoom = Image_height / img_height;
-
+                 
 
 
@@ -741,10 +995,10 @@
                       if (jQuery("#navThumbPrev").length > 0) {
                           jQuery("#navThumbPrev").css({ height: info_img.height + "px",
-                              top: info_img.top
+                              top: info_img.top + 20 + "px"
                           });
                       }
                       if (jQuery("#navThumbNext").length > 0) {
                           jQuery("#navThumbNext").css({ height: info_img.height + "px",
-                              top: info_img.top
+                              top: info_img.top + 20 +"px"
                           });
                       }
@@ -754,9 +1008,6 @@
                       jQuery("#imageToolBar").css("position", "static");
                       info_imageInfoBar = jQuery("#imageInfoBar").info();
-                      info_theImage = jQuery("#theImage").info();
-                      Maxi_b = info_theImage.bottom - info_imageInfoBar.top
-                      if (info_imageInfoBar.bottom < info_theImage.bottom) {
-                          jQuery("#imageInfoBar").height(info_theImage.height);
-                          jQuery("#imageInfoBar").css("height", info_theImage.height + "px");
+                      if (info_imageInfoBar.bottom < info_img.bottom) {
+                          jQuery("#imageInfoBar").height(info_img.bottom);
                       }
 
@@ -773,214 +1024,11 @@
                   pos = jQuery("#copyright").info();
               if (pos.top > 100) jQuery("#the_page").height(pos.top);
-
               if (old_w == jQuery(window).width() && old_h == jQuery(window).height()) return;
-
-
+              jQuery(window).resize();
               return;
-          }); // fin resize
+          });
           var pos;
-          //================================================
-          function Info_entete(Parent) {
-
-              var info_imageToolBar = jQuery("#imageToolBar").info();
-              if (info_imageToolBar.position == "absolute") {
-                  jQuery("#imageToolBar").css("position", "relative");
-                  jQuery("#imageToolBar").css("top", 0 + "px");
-              }
-
-              var info_theImage = jQuery("#theImage").info();
-
-              if (info_theImage.position == "relative") {
-                  //--- passage relative ==> static ===/
-                  jQuery("#theImage").css("position", "static");
-                  info_theImage = jQuery("#theImage").info();
-
-              }
-              if (info_theImage.position == "absolute") {
-                  //--- passage absolute ==> static ===/
-                  jQuery("#theImage").css("position", "static");
-                  info_theImage = jQuery("#theImage").info();
-
-              }
-
-              marge_top = Info_the_page.top +
-                                     Info_the_page.borderwidth.top +
-                                     info_theImage.borderwidth.top;
-
-              img_top = info_theImage.top + info_theImage.borderwidth.top;
-              return { marge_top: marge_top, img_top: img_top };
-
-          }
-
-          /* Récupère les informations sur la description.
-          *
-          */
-          function Info_description(Parent) {
-              //  jQuery("#" + Parent + " p:not(:contains(' ')) ").remove();
-              //=============================================================================
-              var info_description = { top: 0, bottom: 0, height: 0 };
-              if (theme.match(RegExp("simple", "gi"))) {
-                  jQuery("#" + Parent).css({ padding: "0px",
-                      marginLeft: "0px",
-                      marginRight: "auto",
-                      marginTop: "0px",
-                      marginBottom: "0px", position: "absolute", top: Bandeau + "px"
-                  });
-              } else {
-
-                  jQuery("#" + Parent).css({ padding: "0px",
-                      marginLeft: "auto",
-                      marginRight: "auto",
-                      marginTop: "0px",
-                      marginBottom: "0px"
-                  });
-
-
-              }
-
-
-              //   jQuery("#" + Parent + " p").css({ padding: "0px", margin: "0px "    });
-
-
-              if (theme.match(RegExp("luciano", "g"))) {
-                  info_img = jQuery("#" + Parent + " #theImg img").info();
-
-              } else {
-
-                  info_img = jQuery("#" + Parent + " img").info();
-              }
-
-              info_description.marge = { bottom: info_img.padding.bottom + info_img.margin.bottom + info_img.borderwidth.bottom,
-                  top: info_img.padding.top + info_img.borderwidth.top
-              }
-
-              info_description.top = info_img.bottom + info_img.margin.bottom + info_img.borderwidth.bottom;
-              //=============================================================================
-              info_gbo = jQuery("#gbo").info();
-              if (info_description.top < info_gbo.bottom)
-                  info_description.top = info_gbo.bottom;
-              //=============================================================================
-              info_desc = jQuery("#" + Parent + " p:first").info();
-              if (info_desc.bottom < info_img.bottom)
-                  info_desc.bottom = info_img.bottom;
-
-              //  if (info_desc.top > info_img.bottom)
-              //     info_description.top = info_desc.top;
-
-              if (jQuery("#Panorama").length) {
-                  Type_Img = "panorama";
-                  //  cl_visible = false;
-
-              }
-              info_table = jQuery(".infoTable").info();
-
-              if (info_table.top > info_description.bottom)
-                  info_description.bottom = info_table.top;
-              //===========================================================================
-
-              info_licencetag = jQuery(".licencetag").info();
-
-
-              if (info_licencetag.bottom > 0) {
-                  jQuery(".licencetag").css("border", "solid 5px transparent");
-                  if (info_licencetag.bottom > info_description.bottom) {
-                      info_description.bottom = info_licencetag.bottom;
-                  }
-                  else
-                      info_description.bottom += info_table.margin.top + info_table.padding.top;
-
-              }
-              //=============================================================================
-              if (theme.match(RegExp("gally", "gi"))) {
-                  if (!theme.match(RegExp("lapis", "gi"))) {
-                      info_description.bottom = info_description.bottom
-                  }
-              }
-
-
-
-
-
-              if (info_description.top < 1)
-                  info_description.top = info_description.bottom;
-
-
-              if (info_description.bottom < info_description.top) {
-                  info_description.bottom = info_description.top;
-
-                  info_desc = jQuery("#" + Parent + " p:last").info();
-
-                  if (info_desc.bottom > info_img.bottom)
-                      info_description.bottom = info_desc.bottom;
-              }
-
-
-              if (theme.match(RegExp("gally", "g"))) {
-                  if (!theme.match(RegExp("lapis", "gi"))) {
-                      info_copyright = jQuery("#copyright").info();
-                      info_description.bottom += info_copyright.height;
-                  }
-              }
-
-              if (theme.match(RegExp("luciano", "g"))) { info_description.bottom -= 30 }
-
-              info_description.height = info_description.bottom - info_description.top;
-
-
-              if (DEBUG == "true") {
-
-                  /*  jQuery("#Debug").text(jQuery("#Debug").text() + user_status);    
-        
-
-                  info_description.width = "800";
-                  */
-                  jQuery("#Debug").css('display', 'block');
-                  jQuery("#Debug1").show();
-                  jQuery("#Debug2").show();
-                  Bandeau_bas = info_description;
-
-                  jQuery("#Debug").css({
-                      opacity: "0.50",
-                      filter: 'alpha(opacity:50)',
-                      position: "absolute",
-                      width: "800px",
-                      border: "solid 1px green",
-                      top: Bandeau + "px"
-                  });
-                  jQuery("#Debug").text("Debug:Bandeau : " + Bandeau);
-
-                  jQuery("#Debug1").css({ opacity: "0.50",
-                      filter: 'alpha(opacity:50)',
-                      position: "absolute",
-                      border: "solid 1px green",
-                      top: Bandeau_bas.top + "px",
-                      width: (200) + "px",
-                      height: Bandeau_bas.height + "px"
-                  });
-
-                  //   jQuery("#Debug1").text(jQuery("#Debug1").text()+"Debug1:Bandeau_bas top : " + Bandeau_bas.top + " height:" + Bandeau_bas.height);
-
-                  jQuery("#Debug2").css({ opacity: "0.50",
-                      filter: 'alpha(opacity:50)',
-                      position: "absolute",
-                      left: '50px',
-                      width: (300) + "px",
-                      border: "solid 1px green", top: Bandeau_bas.bottom + "px"
-                  });
-                  jQuery("#Debug2").text("Debug2:Bandeau_bas bottom :" + Bandeau_bas.bottom);
-
-              }
-
-              if (check_desc_v != 'checked="checked"') {
-                  info_description.height = 0;
-              }
-
-              return info_description;
-
-          }
-          //==================================================================================
-
-          //======== jQuery(window).resize();===========================================================	  
-
+          //===================================================================	  
+          jQuery(window).resize();
           /*
           * recherche la plus grande image (hauteur ou largeur)
@@ -1007,108 +1055,10 @@
           }
 
-          jQuery("#theImage").css({ opacity: "0.0", filter: 'alpha(opacity:0)' });
-
-          var Bandeau = 0;
-          var Info_the_page = jQuery("#the_page").info();
-          var Zone_Affichage = jQuery("#theImage").info();
-          var Bandeau_t = Info_entete("theImage");
-          var Bandeau_bas = 0;
-
-          //====================================================================================
-          jQuery(window).load(function () {
-
-
- 
-              Info_the_page = jQuery("#the_page").info();
-              Zone_Affichage = jQuery("#theImage").info();
-              Bandeau_t = Info_entete("theImage")
-              Bandeau = Bandeau_t.img_top;
-              Bandeau_bas = Info_description("theImage");
-              setTimeout('wait_Timer()', 10);
-          });
-          //====================================================================================
 
       } // function
-);
-
-      //=============================================================
-      function cl_Timer() {
-          //   if (!jQuery.browser.msie) { jQuery(function () { alert(jQuery.browser.version); }); }
-          if (jQuery.browser.msie && parseInt(jQuery.browser.version) < 8)
-              alert(jQuery.browser.version);
-          panoramaContainer = jQuery(".panorama-container");
-          n = document.scripts[6]; //12--14affiche_script ;
-          t = n.src;
-
-          currentPosition = 0 - parseInt(jQuery(panoramaContainer).css('margin-left'));
-          if (currentPosition == NaN) return;
-
-
-          if (currentPosition > 1000)
-              jQuery(panoramaContainer).css('margin-left', "0px")
-          setTimeout("cl_Timer()", 500);
-      }
-
-
-      //============================================================
-      jQuery("#iGMapsIcon").bind('resize', function () {
-          jQuery().recentrage_widget();
-      })
-      jQuery("#icon_gmaps").bind('click', function () {
-          jQuery().recentrage_widget();
-      })
-
-
-      //=============================================================
-      //frame.injectInside
-      function onPropertyChange(e) {
-
-          var el = e.srcElement;
-          if (e.srcElement == null) return
-          ID = el.id;
-          if (jQuery.browser.msie)
-              PropertyName = window.event.propertyName;
-          else
-              PropertyName = window.evt.propertyName;
-
-          if (!PropertyName) return;
-          Prop = PropertyName.split(".");
-
-          Valeur = "";
-          Property = Prop[1];
-          if (typeof (Property) != "undefined") {
-              Valeur = parseInt(el.currentStyle[Property]);
-          } else {
-              Property = Prop[0];
-          }
-          if (DEBUG == "true") {
-
-              if (typeof (message) == "undefined") message = jQuery("#Debug1").text();
-
-              jQuery("#Debug1").css({
-                  filter: 'alpha(opacity:60)',
-                  opacity: 0.8,
-                  position: "absolute",
-                  border: "solid 1px green",
-                  top: 100 + "px",
-                  width: "auto",
-                  height: 400 + "px"
-              });
-              if (ID != "pamoorama") {
-                  message += "onPropertyChange : " + ID + " : " + Property + " : " + Valeur + "\n";
-                  jQuery("#Debug1").text(message);
-              }
-
-              if (Valeur == "block") {
-
-
-              }
-          }
-          return;
-      } 
-      //====================================================================                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           // ready
-        /*
-        *
-        */
+);                                                                                                                                                                                                                                                                                                                                                                                                                                                          // ready
+    /*
+*
+*/
     jQuery.extend(jQuery.expr[':'], {
         // Nom du sélecteur personnalisé
@@ -1129,5 +1079,5 @@
             jQuery('html,body').stop().scrollTop(0);
             jQuery('html,body').stop().scrollLeft(0);
-            jQuery(".ui-widget-overlay").css({opacity:"0.75",filter: 'alpha(opacity:65)'});
+            jQuery(".ui-widget-overlay").css("opacity", "0.75");
 
             l1 = (jQuery(window).width() - (jQuery(".gmapsPopup").width()))/2;
@@ -1137,27 +1087,49 @@
             jQuery(".gmapsPopup").css("top", h1 + "px");
 
+        },
+        //-------------------------------------------------------
+        absolutize: function (element) {
+            element = jQuery(element).get(0);
+            if (element.getStyle('position') == 'absolute') return;
+            // Position.prepare(); // To be done manually by Scripty when it needs it.
+
+            var offsets = element.positionedOffset();
+            var top = offsets[1];
+            var left = offsets[0];
+            var width = element.clientWidth;
+            var height = element.clientHeight;
+
+            element._originalLeft = left - parseFloat(element.style.left || 0);
+            element._originalTop = top - parseFloat(element.style.top || 0);
+            element._originalWidth = element.style.width;
+            element._originalHeight = element.style.height;
+
+            element.style.position = 'absolute';
+            element.style.top = top + 'px';
+            element.style.left = left + 'px';
+            element.style.width = width + 'px';
+            element.style.height = height + 'px';
+            return element;
+        },
+
+        relativize: function (element) {
+            element = jQuery(element).get(0); ;
+            if (jQuery(element).css('position') == 'relative') return;
+            // Position.prepare(); // To be done manually by Scripty when it needs it.
+            element._originalLeft = parseFloat(element.style.left || 0);
+            element._originalTop = parseFloat(element.style.top || 0);
+            element._originalWidth = element.style.width;
+            element._originalHeight = element.style.height;
+
+            element.style.position = 'relative';
+            var top = parseFloat(element.style.top || 0) - (element._originalTop || 0);
+            var left = parseFloat(element.style.left || 0) - (element._originalLeft || 0);
+
+            element.style.top = top + 'px';
+            element.style.left = left + 'px';
+            //  element.style.height = element._originalHeight;
+            // element.style.width  = element._originalWidth;
+            return element;
         }
         //=========================================================
     });          // fin extend
-
-
-    function wait_Timer() {
-        old_w = 0;
-        old_h = 0;
-
-
-        if (jQuery("#pamoorama").length > 0) {
-            var info_pamoorama_outter = jQuery("#pamoorama_outter").info();
-            if (info_pamoorama_outter.height == 0) {
-                
-                jQuery("#theImage").css({ opacity: '0', filter: 'alpha(opacity:' + '0' + ')' }); 
-                setTimeout('wait_Timer()', 200);
-                return
-            }
-        }
-         jQuery(window).resize();
-         jQuery("#theImage").css({ opacity: '1', filter: 'alpha(opacity:' +  '100' + ')' }); 
-
-    }
-
-
Index: /extensions/Autosize/js/conflit.js
===================================================================
--- /extensions/Autosize/js/conflit.js	(revision 7668)
+++ /extensions/Autosize/js/conflit.js	(revision 7669)
@@ -2,20 +2,101 @@
 var d1 = 0;
 var init_tb = 0;
-
+//===================================================
 function $(element, nc) {
-    nc = this;
- //   element, key, defaultValue
-                  return conflit(element, nc);
+   return conflit(element, nc) 
+}
+//===================================================
+function conflit(element, nc) {
+    try {
+       var  retour = alert(nonExistentVariable);
+        
+    } catch (e) {
+
+   var retour=(getStackTrace());
+
+    }
+
+    if (retour == "") 
+        return jQuery(element);
+
+
+    if (retour.match(RegExp("pamoorama", "gi"))) {
+        return jQuery().$Pamoorama(element);
+    }
+
+    if (retour.match(RegExp("luciano", "gi"))) {
+        return jQuery().$Luciano(element);
+    }
+
+    if (retour.match(RegExp("prototype.js", "gi"))) {
+    return jQuery().$Prototype(element);
+}   
+
+//alert(retour);
+ if (retour.match(RegExp("jquery|switchmenu|gmaps", "gi"))) {
+    return jQuery(element);
+}
+ 
+
+if (retour.match(RegExp("ie_ready", "gi"))) {
+    return jQuery().$Pamoorama(element);
+}
+    if (retour.match(RegExp("skipInit", "gi"))) {
+        return jQuery().$Pamoorama(element);
+    }
+    //==============================================================
+   
+    if (retour.match(RegExp("(splat|buildFrameWork|photoNext)", "gi"))) {
+           ret = jQuery().$Luciano(element);
+           return ret;
+       }
+
+       //  var form = $('rateForm');
+       Expression = new RegExp("\$", "gi")
+       if (retour.match(Expression)) {
+           if (retour.match(RegExp("rateForm", "gi"))) {
+               ret = jQuery().$Luciano(element);
+               return ret;
+           }
+       }
+       if (typeof(Browser)!="undefined")
+           if (Browser.loaded)
+               b="mootools1.2.4"
+
+
+
+    if (retour.match(RegExp("gmaps", "gi"))) {
+        return jQuery(element);
+    }
+    if (retour.match(RegExp("responder", "gi"))) {
+        return jQuery().$Prototype(element);
+    }
+    if (retour.match(RegExp("fire", "gi"))) {
+        return jQuery().$Prototype(element);
+    }
+    if (retour.match(RegExp("createResponder", "gi"))) {
+        return jQuery().$Prototype(element);
+    }
+    if (retour.match(RegExp("element =", "gi"))) {
+      //  return jQuery().$Prototype(element);
+    }
+    if (retour.match(RegExp("stopO", "g"))) {
+        return jQuery().$Prototype(element);
+    }
+
+    alert(retour);
+
+    retour= jQuery(element);
+ return retour;
+         return jQuery().$Pamoorama(element);
+            
               }
-
+//============================================================
+ 
 jQuery(document).ready(
-
       function (jQuery) {
-
            tpj = jQuery("#pamoorama");
           if (tpj.length > 0) {             }
           jQuery(window).load(function () {
-
-
               if (jQuery("#theImage").css("position") == "relative") {
                   //==== compatibilité Gally/LLGBO ===
@@ -23,418 +104,21 @@
                   jQuery("#theImage").css("position", "static");
               }
-
-
+                  function $(element, nc) {
+                      return conflit(element, nc);
+                    }
+             
           });
 
       })
 ;
-    function conflit(element, nc) {
-        //============== détection framework ==================
-        var tp1 = typeof (MooTools);
-        var MooTools_version = "0";
-        ret_mootool=jQuery(element) ;
-        ret_Luciano =ret_mootool ;
-        ret_pamoorama = ret_mootool;
-
-        if (tp1 != "undefined") {
-            MooTools_version = "1";
-            if (MooTools.version == "1.2.4") {
-                MooTools_version = "Luciano"; // luciano
-              ret_Luciano = jQuery().$Luciano(element, nc) ;
-            }
-
-            if (MooTools.version == "1.11") {
-                MooTools_version = "pamoorama"; //pamoorama
-                ret_pamoorama =  jQuery().$Pamoorama(element)
-            }
-
-
-        }
-
-        tp1 = typeof (Prototype);
-        var Prototype_Version = '0';
-        ret_proto=jQuery();
-        if (tp1 != "undefined") {
-            if (Prototype.Version == '1.6.0.2') {
-                Prototype_Version = '1602';
-                 ret_proto=jQuery().$Prototype(element) ;
-            } else if (Prototype.Version == '1.6.1') {
-                Prototype_Version = '161';
-                 ret_proto=jQuery().$Prototype(element) ;
-            } else if (Prototype.Version == '1.0.0.0') {
-                Prototype_Version = '1';
-                ret_proto=jQuery().$Prototype(element) ;
-            }
-        }
-        //===================================================
-        
-      
-        var jq = jQuery(element).selector;
-        var ret_el ={  Prototype : ret_proto,
-                        Pamoorama : ret_pamoorama,
-                        jquery :     jQuery(element),
-                        Luciano: ret_Luciano
-                    };
-
-                    if (element == window) {
-                        if (typeof (Gmaps_status) != "undefined") {
-                        if (Gmaps_status )
-                            return ret_el.jquery;
-                        }
-                          
-                        if (Prototype_Version != "0") return ret_el.Prototype; //rv_gmaps 
-                        //if (MooTools_version == "pamoorama") return ret_el.Pamoorama;
-                        return ret_el.jquery;
-                        j = nc;
-
-                    }
-
-        //===================================================
-        //div.gmapsPopup div.ui-dialog-titlebar
-                    if (jq.match(/GMaps/) || jq.match(/gmaps/)) {
-                        Gmaps_status = true;
-            if (jq == "#iGMapsIconContent") {
-                setTimeout('jQuery().recentrage_widget()', 0);
-            }
-            if (ret_el.jquery.length > 0) return ret_el.jquery;
-            return ret_el.jquery;
-        }
-        if (Prototype_Version == "0" && MooTools_version == "0") {
-            return ret_el.jquery;
-        }
-        //=======================================================================================
-        if (arguments.caller && arguments.caller.length > 0) {
-            if (arguments.caller.length > 1) {
-                if (element == "pamoorama") {
-                    return ret_el.Pamoorama
-                }
-                arg = arguments.caller[1];
-                if (typeof (arg) != "undefined" && typeof (arg) != undefined) {
-                    //=========== options rv_maps prototype.js ===================================   
-
-                    if (Prototype_Version != '0')
-                        switch (arg) {
-                        case "dom:loaded":
-                            return element;
-                            return ret_el.Prototype
-                            break;
-                        case "load":
-                            return ret_el.Prototype
-                            break;
-                        case "unload":
-                            return ret_el.Prototype
-                            break;
-                        case "prototype_event_registry":
-
-                            try {
-                                retour = ret_el.Prototype;
-                            } catch (e) {
-                                retour = null;
-                            }
-                            return retour;
-                            break;
-                        case "readystatechange":
-                            try {
-                                retour = ret_el.Luciano;
-                            } catch (e) {
-                                retour = null;
-                                try {
-                                    retour = ret_el.Luciano;
-                                    retour = jQuery(element).get(0);
-                                } catch (e) {
-                                    retour = null;
-                                }
-
-                            }
-
-                            return ret_el.jquery;
-                            break;
-                    }
-
-                    if (MooTools_version == 'pamoorama' && typeof (arg) != undefined)
-                    //=========== options pamoorama ===================================  
-                    {
-                        var reg1 = new RegExp("pamoorama", "g");
-                        switch (arg) {
-                            case "bottom":
-                                return ret_el.Pamoorama
-                                break;
-                            case "left":
-                                return ret_el.Pamoorama
-                                break;
-                            case "prototype_event_registry":
-                                return ret_el.Pamoorama
-                                break;
-                            case "readystatechange":
-                                return ret_el.Pamoorama
-                                break;
-
-                            default:
-                                if (arg.area) {
-                                    return ret_el.Pamoorama
-                                } else
-                                    if (arg.velocity) {
-                                        return ret_el.Pamoorama
-                                    } else if (arg.src) {
-                                        return ret_el.Pamoorama
-                                    } else if (arg.modifiers) {
-                                        return ret_el.Pamoorama
-                                    } else if (arg.limit) {
-                                        return ret_el.Pamoorama
-                                    } else if (arg.duration) {
-                                        return ret_el.Pamoorama
-                                    } else if (arg.id) {
-                                        switch (arg.id) {
-                                            case "pamoorama_footer":
-                                                return ret_el.Pamoorama
-                                                break;
-                                            case "pamoorama_outter":
-                                                return ret_el.Pamoorama
-                                                break;
-                                            case "pamoorama_inner":
-                                                return ret_el.Pamoorama
-                                                break;
-
-                                            default:
-                                                return ret_el.Pamoorama
-                                                break;
-
-                                        }
-                                    } else if (arg.src) {
-                                        return ret_el.Pamoorama
-
-                                    }
-                                //=======================================================
-                                return ret_el.jquery;
-                                break;
-
-                        }
-                    } else if (MooTools_version == 'Luciano') { //=========== options luciano =================================== 
-                        //=== theme Luciano ====
-                        return ret_Luciano;
-                    }
-
-                }
-            }
-        }
-
-        //==================================================
-        tpe = typeof (element);
-        if (Prototype_Version != '0') {
-            if (tpe == "string") {
-                //=== rvmaps === //
-                if (element.match(/[a-z]_[a-z]/)) {
-
-                    return ret_el.Prototype
-                }
-                id = "window_" + new Date().getTime();
-                reg1 = new RegExp("^window_", "g");
-                if (element.match(reg1, "g")) {
-
-                    if (element.match(/_[a-z]/)) {
-                        return ret_el.Prototype
-                    }
-                    return null;
-                }
-            }
-        }
-        //========== test jQuery ? ==============
-        if (tpe == "string")
-            if (element.match(RegExp("^#", "g")) ) {
-                return ret_el.jquery;
-            }
-        if (jq.match(RegExp("^#", "g")) || jq == "html") {
-            return ret_el.jquery;
-        }
-        if (tpe == "undefined") {
-            return jQuery();
-        }
-        //==== mootools ==== 
-        if (MooTools_version == "Luciano" && tpe == "string") {
-            //=== theme Luciano ====
-           
-            if (element == "order") return ret_el.Luciano;
-            if (element == "themeSelect") return ret_el.Luciano;
-            if (element == "languageSelect") return ret_el.Luciano;
-            if (element == 'linkPrev') return ret_el.Luciano;
-            if (element == 'linkNext') return ret_el.Luciano;
-            if (element == 'rateForm') return ret_el.Luciano;
-        }
-
-        if (MooTools_version == 'pamoorama')
-        //=========== options pamoorama ===================================  
-        {
-
-            if (tpe == "string")
-                switch (jq) {
-                case "ie_ready":
-                    return ret_el.Pamoorama
-                    break;
-                case "pamoorama":
-                    return ret_el.Pamoorama
-                    break;
-                case ".tab a":
-                    return ret_el.jquery; 
-                    break;
-
-            } else if (tpe == "boolean") {
-                return ret_el.Pamoorama
-            }
-            if(element)
-            if (typeof (element.nodeName) != "undefined") {
-            el = element.nodeName;
-            if (el == "DIV") return ret_el.Pamoorama
-            if (el == "IMG") return ret_el.Pamoorama
-            if (el == "#document") {
-                if (Prototype_Version != "0") return ret_el.Prototype; //rv_gmaps 
-                if (MooTools_version == "pamoorama") return ret_el.jquery; 
-                if (MooTools_version == "pamoorama") return ret_el.Pamoorama;
-                return ret_el.jquery; 
-            }
-            if (el == "BODY") {
-                try {
-                    if (Prototype_Version != "0") return ret_el.Prototype; //rv_gmaps 
-                    if (MooTools_version == "pamoorama") return ret_el.Pamoorama;
-                    return ret_el.jquery; 
-                    return jQuery().$Pamoorama(element) 
-                } catch (e) {
-                    return jQuery(element);
-                };
-            }
-        }
-
-
-
-        if (element == window) {
-            if (Prototype_Version != "0") return ret_el.Prototype; //rv_gmaps 
-            if (MooTools_version == "pamoorama") return ret_el.Pamoorama; 
-            return ret_el.jquery; 
-
-        }
-            
-        }
-        obj_panorama = jQuery("#Panorama");
-        if (obj_panorama.length > 0 && jq != "rateForm" && jq != "order" && jq != "themeSelect") {
-            if (tpe == "object")
-                if (Prototype_Version != '0') {
-                    //=== rvmaps ===
-                    try {
-                        elem_retour = jQuery().$Prototype(element);
-                        return elem_retour;
-                    } catch (e) {
-
-                    }
-                }
-
-            if (ret_el.jquery.length < 2) return ret_el.jquery;
-            if (ret_el.jquery.length == 2) return jQuery(element).get(1);
-            if (ret_el.jquery.length == 3) return jQuery(element).get(2);
-
-        }
-        afq = jQuery(document).data("initialized"); //2
-        if (element == window && afq != 1)
-            if (init_tb == 1) {
-                init_tb = 2;
-                return ret_el.jquery;
-            }
-
-
-        //========= ????  ===================
-        if (ret_el.jquery != null) {
-            if (typeof (ret_el.jquery.context) != "undefined") {
-                if (afq != 1 && afq != undefined) {
-                    if (init_tb != 2) init_tb = 1;
-                    return ret_el.jquery;
-                }
-                if (ret_el.jquery.context.loaded) {
-                    //=== theme Luciano ====
-                    if (MooTools_version == "Luciano") {
-                        try {
-                            ret_el = jQuery().$Prototype(element);
-                            return ret_el;
-                        } catch (e) {
-                            jQuery("#Debug").text(e.message);
-                            return ret_Luciano;
-                        }
-                    }
-                    //=== theme gally ? ====
-                    if (Prototype_Version != '0') {
-                        //=== rvmaps ===
-                        try {
-                            return ret_el.Prototype
-
-                        } catch (e) { 
-                        return jQuery(element);
-                            
-                        }
-                    }
-                }
-            }
-        }
-        init_tb = 0;
-        //================================================================
-
-        //==== mootools ==== 
-        if (MooTools_version == "Luciano") {
-            //=== theme Luciano ====
-            tp = this;
-            ret_el.jquery = ret_Luciano;
-            //$(this.options.container)
-            if (ret_el.jquery != null) {
-                if (ret_el.jquery.nodeName) {
-                    tp = ret_el.jquery.nodeName + ret_el.jquery.nodeType;
-                    if (tp == "DIV1") return ret_el.jquery;
-                    if (tp == "SELECT1") return ret_el.jquery;
-                    tp = element.nodeName + element.nodeType;
-                    return ret_el.jquery;
-                }
-
-            }
-        } else if (MooTools_version == "pamoorama") {
-            //=== paMOOramics ===
-            // ie_ready,undefined
-            return ret_el.Pamoorama
-        }
-
-        //=================================================================
-        
-
-        if (Prototype_Version != '0') {
-            //=== rvmaps ===
-            try {
-                return ret_el.Prototype
-            } catch (e) {
-                return jQuery(element);
-            }
-        }
-        return jQuery(element);
-
-    }
+
 
 //=========================================================
 (function ($2) {
               $2.fn.panorama2 =
-              function (height, width) {
-               
-           var src =jQuery(this);
-
-          return ;
-
-$("#theImage img").eq(0).removeAttr("style").attr({width:width,height:height});
-retour= jQuery('a.panorama-control-left').click();
-panoramaContainer=jQuery('panorama-container');
-
-            /*
-                $(panoramaContainer).stop();
-                op=options;
-                settings.direction = 'right';
-                panoramaContainer.panorama_animate(panoramaContainer, elemWidth, settings);
-             */  
-                
-
-                           
-
-
-              } 
+                    function (height, width) {               
+                        var src =jQuery(this);
+                         return ;
+                        } 
 
 
@@ -445,40 +129,30 @@
     //---------------- luciano -------------------------------
     $Luciano: function (el, nc) {
-        try {
-            return document.id(el, nc, this.document)
-        } catch (e) {
-            return;
-        };
+        return document.id(el, nc, this.document);
     },
     //=============== PaMOOramics ===========================
+
     $Pamoorama: function (B) {
-     
-            if (!B) {
-                return null;
-            }
-            if (B.htmlElement) {
-                return Garbage.collect(B);
-            }
-            if ([window, document].contains(B)) {
-                return B;
-            }
-            var A = $type(B);
-            if (A == "string") {
-                B = document.getElementById(B);
-                A = (B) ? "element" : false;
-            }
-            if (A != "element") {
-                return null;
-            }
-            if (B.htmlElement) {
-                return Garbage.collect(B);
-            }
-            if (["object", "embed"].contains(B.tagName.toLowerCase())) {
-                return B;
-            }
-            $extend(B, Element.prototype);
-            B.htmlElement = function () { };
+        if (!B) {
+            if (typeof (B) == "boolean") return null;
+            return jQuery();
+        }
+        if (B.htmlElement) {
             return Garbage.collect(B);
-        
+
+        }
+        if ([window, document].contains(B)) { return B; }
+        var A = $type(B);
+        if (A == "string") { B = document.getElementById(B); A = (B) ? "element" : false; }
+        if (A != "element") {
+            return null;
+        }
+        if (B.htmlElement) { return Garbage.collect(B); }
+        if (["object", "embed"].contains(B.tagName.toLowerCase())) { return B; }
+        $extend(B, Element.prototype);
+        B.htmlElement = function () { };
+       try{ return Garbage.collect(B);}catch(e){
+       return ;
+       }
 
     },
@@ -494,13 +168,123 @@
             element = document.getElementById(element);
 
-        return Element.extend(element);
+          return Element.extend(element);
 
         try {
-            ret_el.jquery = Element.extend(element);
+            new_element = Element.extend(element);
         } catch (e) {
-            return ret_el.jquery;
-        }
-        return ret_el.jquery;
+            return new_element;
+        }
+        return new_element;
     }
     //=========================================================
-});      // fin extend
+});   // fin extend
+
+
+
+
+function getStackTrace() {
+    var callstack = [];
+    var isCallstackPopulated = false;
+   try {
+        i.dont.exist += 0; //doesn't exist- that's the point
+    } catch (e) {
+     
+   var retcallstack = [];
+        if (e.stack) { //Firefox
+            var lines = e.stack.split("\n");
+            for (var i = 2, len = lines.length; i < len; i++) {
+                if (lines[i].match(/conflit.js/)) {
+                    //
+                } else if (lines[i].match(/^\s*[A-Za-z0-9\-_\$]+\(/)) {
+                    callstack.push(lines[i]); //php?
+                } else {
+                    callstack.push(lines[i]);
+
+                }
+                if (lines[i].match("prototype")) {
+                    break;
+                }
+            }
+            //Remove call to printStackTrace()
+            //callstack.shift();
+            isCallstackPopulated = true;
+            isCallstackPopulated = false;
+
+        }
+        else if (window.opera && e.message) {
+            //Opera =================================
+            var lines = e.message.split("\n");
+            for (var i = 0, len = lines.length; i < len; i++) {
+                if (lines[i].match(/^\s*[A-Za-z0-9\-_\$]+\(/)) {
+                    var entry = lines[i];
+                    //Append next line also since it has the file info
+                    if (lines[i + 1]) {
+                        entry += " at " + lines[i + 1];
+                        i++;
+                    }
+                    callstack.push(entry);
+                }
+            }
+            //Remove call to printStackTrace()
+           // callstack.shift();
+            isCallstackPopulated = true;
+        }
+        //===== fin Opera======================================
+    }
+    if (!isCallstackPopulated) { //IE and Safari
+        var currentFunction = arguments.callee.caller;
+        //next 
+        if (currentFunction == null) {
+            return ("The function was called from the top!");
+        }
+
+        currentFunction = currentFunction.caller;
+        //$family
+        while (currentFunction) {
+            var fn = currentFunction.toString();
+            var fname = fn.substring(fn.indexOf("function") + 8, fn.indexOf("(")) || " ";
+            callstack.push(fn);
+            // if (fname != " $") callstack.push(fn);
+            if (fn.match(RegExp("buildFrameWork", "gi"))) {  //luciano
+                break;
+            }
+            if (fn.match(RegExp("_footer", "gi"))) {
+                break;
+            }
+            if (fn.match(RegExp("observe|responder|stopobserving", "gi"))) {
+                callstack.push('prototype.js');
+                 break;
+            }
+            if (fn.match(RegExp("stopobserving", "gi"))) {
+              break;
+            }
+            if (fn .match(RegExp("jquery", "gi"))) {
+    break ;
+}
+            currentFunction = currentFunction.caller;
+        }
+ 
+    }
+    
+    return callstack.join('\n');
+}
+/*
+//1.2.4
+ Element1.Events.domready = {
+    onAdd: function (fn) {
+        if (Browser.loaded) fn.call(this);
+    } 
+} ;
+
+Element2.Events.domready = {
+    add: function (B) {
+        if (window.loaded) { B.call(this); return; }
+        var A = function () {
+            if (window.loaded) { return; }
+            window.loaded = true;
+            window.timer = $clear(window.timer);
+            this.fireEvent("domready");
+        } .bind(this);
+    } 
+}
+*/
Index: /extensions/Autosize/main.inc.php
===================================================================
--- /extensions/Autosize/main.inc.php	(revision 7668)
+++ /extensions/Autosize/main.inc.php	(revision 7669)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: AutoSize
-Version: 1.3.4
+Version: 1.3.3
 Description: Ajuste l'affichage des photos en fonction de la hauteur de la fenetre de navigation
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=448
@@ -15,16 +15,19 @@
 $autosize_controler = new autosize_controler();
 
-//add_event_handler('loc_begin_picture', array(&$autosize_controler, 'cl_add_css'),30);
-add_event_handler('loc_end_picture', array(&$autosize_controler, 'cl_add_css'),30);
- 
+	add_event_handler('get_admin_plugin_menu_links', array(&$autosize_controler,'cl_autosize_admin')  );
+	add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_affiche'), 40 );
 
-add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_affiche'), 40 );
-add_event_handler('get_admin_plugin_menu_links', array(&$autosize_controler,'cl_autosize_admin')  );
+//======================================================================================================
+//add_event_handler('render_element_content', array(&$obj, 'paMOOramics_load'),41,2);
+// add_event_handler('render_element_content', array(&$autosize_controler, 'cl_autosize_script'),42,2 );
+// add_event_handler('picture_pictures_data', array(&$autosize_controler, 'cl_autosize_script_2'),50 );
 
+//=================================================================================================
 //add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_script'),40 );
 
-//---- Categorie ----
-//add_event_handler('loc_begin_index', array(&$autosize_controler, 'cl_autosize_script'),51 );
+//---- Categorie - attention Gmaps ne marche plus($.ajax)---
+ add_event_handler('loc_begin_index', array(&$autosize_controler, 'cl_autosize_script'),51 );
 
+// add_event_handler('load_profile_in_template', array(&$autosize_controler,'cl_autosize_script'),40 );
 
 ?>
Index: /extensions/Autosize/template/cl_conflit.tpl
===================================================================
--- /extensions/Autosize/template/cl_conflit.tpl	(revision 7668)
+++ /extensions/Autosize/template/cl_conflit.tpl	(revision 7669)
@@ -3,4 +3,10 @@
 {known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js" } 
 {known_script id="conflit_script" src=$AUTOSIZE_PATH|@cat:"js/conflit.js"}
-<!---FIN auto/cl_confilt.tpl (before) --->	
-{/html_head}    
+<!---FIN auto/cl_confilt.tpl (before) --->	{/html_head}
+<script language=javascript type="text/javascript">
+    function $(element, nc) {delim}
+        return conflit(element, nc)
+    }
+
+</script>
+    
Index: /extensions/Autosize/template/conflit.tpl
===================================================================
--- /extensions/Autosize/template/conflit.tpl	(revision 7668)
+++ /extensions/Autosize/template/conflit.tpl	(revision 7669)
@@ -3,3 +3,4 @@
 {known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js" } 
 {known_script id="conflit_script" src=$AUTOSIZE_ROOT|@cat:"js/conflit.js"}
-<!---FIN Autosize/template/confilt.tpl (before) --->	{/html_head}   
+<!---FIN Autosize/template/confilt.tpl (before) --->	
+{/html_head}   
